package com.ynet.life.i18n;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import java.io.IOException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

/* loaded from: com_ynet_life_i18n.jar:com/ynet/life/i18n/ResourceDisplayTag.class */
public class ResourceDisplayTag extends TagSupport {
    private static final long serialVersionUID = 20101205133522L;
    private String name;

    public int doEndTag() {
        JspWriter out;
        try {
            String language = getLanguage();
            out = this.pageContext.getOut();
            out.write(LifeStandard.getResouceDisplayAt(this.name, language));
            return 6;
        } catch (IOException e) {
            Trace.log(out);
            return 6;
        }
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    private String getLanguage() {
        Context context = (Context) this.pageContext.getRequest().getAttribute(GENEConstance.ATTR_CONTEXT);
        if (context == null) {
            return null;
        }
        String language = null;
        try {
            language = (String) context.getDataValue("session_language");
        } catch (GENEException unused) {
        }
        return language;
    }
}
